export default {
    methods: {
        checkTime(info) {
            return this.dayjs().isSameOrBefore(this.dayjs(info.expiration, 'YYYY-MM-DD HH:mm:ss'));
        },
        checkUse(info, collectionId = 0) {
            console.log(collectionId);
            if (collectionId && info.limited) {
                return [...info.collectionIds]
                    .map(item => {
                        return Number(item);
                    })
                    .includes(Number(collectionId));
            } else {
                return true;
            }
        }
    }
};
